Use this to enter a new data source name[DSN]. A DSN has the technical information needed to access the data.


Use this to enter data source name[DSN] description. The is used to store additional information about the DSN.


Use this to enter/select server name. Name of the server where Informix database resides.


Use this to enter host name. Machine on which Informix database server resides.


Use this to enter service. Informix database server process that runs on the Host computer.


Use this to select protocol. Protocol used to communicate with Informix server.


Use this to enter options. General information such as password settings.


Use this to enter/select database name to which the DSN connects by default.


Use this to enter user ID. User identification or account name for access to the DSN.


Use this to enter user password. Password for access to the DSN.


Use this to apply & test connection. Used to check if current attributes of DSN successfully connect to the database or not.


Use this to enter client locale. Default value: en_us.1252.


Use this to enter DB locale. Default value: en_us.1252.


Select this checkbox if Server  DB locale to be used. Default state: unchecked


Use this to set VMB character parameter. Varying multibyte character(VMB) length reporting option that specifies how to set pcbValue when rgbValue (the output area) is not large enough for the code-set-converted data. Possible values: 0=Estimate,1=Exact, Default value: 0.


Use this to enter translation library filename. Dynamic linked library (DLL) that performs code-set conversion; default value: $INFORMIXDIR\bin\ig04n304.dll.


Use this to enter translation library option. Option for a non-Informix translation library.


Use this to set cursor behavior parameter. Flag for cursor behavior when a commit or rollback transaction is called. Possible values are: 0=close cursor, 1=preserve cursor, Default value: 0.


Use this to set fetch buffer size. The default buffer size is 4096 bytes.


Sets the number and duration of locks. Default value for ANSI databases: Repeatable Read. Default value for non-ANSI databases: Committed Read. Set to Transaction to propogate the isolation level set in the Microsoft Distributed Transaction Coordinator (DTC) application to the server.  If you choose a level not supported by your database server, you receive the message "A syntax error has occurred" when you test the connection.


Auto-Commit Optimization

If enabled, the driver:  Defers automatic commit work operations while cursors remain open.  Reduces database messages for non-ANSI logging databases.  Enables cursors to remain open while the application executes transactional statements.  The application commits work only when all cursors are closed.  The option default is: ENABLED (1).


Open-Fetch-Close Optimization

If enabled, the driver:  Buffers the open, fetch, and close cursor messages to the server.  Eliminates one or more message round trips when you use SQLPrepare, SQLExecute, and SQLFetch statements to fetch data with a cursor.  This option is DISABLED (0) by default.


Insert Cursors

If enabled, the driver:  Minimizes messages sent to the database server.  Buffers the rows that the application uses with insert statements and arrays of parameters.  Sends all data to the database server in one message packet only when the statement finishes, the fetch buffer size exceeds its limit, or the application closes the statement.  The option default is: DISABLED (0).


Scrollable Cursors

If enabled, the driver:  Supports scrollable, static cursors. You must still set the SQL_CURSOR_STATIC statement cursor type to enable scrollable cursors.  Removes FOR UPDATE clauses from SELECT statements, including statements whose cursor settings are not static or scrollable.  Applies fewer locks if the isolation level is Read Committed or higher.  The option default is: DISABLED (0)


Report KeySet Cursors

If enabled, the driver:  Reports (through SQLGetInfo) that it supports forward-only, static, and keyset-driven cursor types, although the driver only supports forward-only and static cursors. By setting this option, the driver enables dynaset-type functions, which require drivers that support keyset-driven cursor types.  The option default is: DISABLED (0).


Report Standard ODBC Types Only

If enabled, the driver:  Causes SQLGetTypeInfo to map all occurrences of user-defined types (UDTs) as follows:

Blob 	SQL_LONGVARBINARY

Clob 	SQL_LONGVARBINARY

Multiset 	SQL_C_CHAR/SQL_C_BINARY

Set	SQL_C_CHAR/SQL_C_BINARY

List 	SQL_C_CHAR/SQL_C_BINARY

Row 	SQL_C_CHAR/SQL_C_BINARY

The driver maps Multiset, Set, Row, and List data types to SQL_C_CHAR or SQL_C_BINARY, which is the default UDTFetchType attribute set.  If you enable this feature, you must assign connection and statement attributes to standard ODBC Types, LO Automatic, and Set Default UDT Fetch Type to SQL_C_CHAR features.	The option default is: DISABLED (0).


Describe Decimal Floating Point as SQL_REAL / SQL_DOUBLE

If enabled, the driver:  Describes all floating-point decimal columns as Float (SQL_REAL or SQL_DOUBLE). A floating-point decimal column is a column that was created without a scale, ex: DECIMAL(12). Some prepackaged applications such as Visual Basic can not properly format Decimal columns that do not have a fixed scale. To use these applications you must enable this option or re-define the column with a fixed scale, ex: DECIMAL(12, 2). There is a disadvantage to enabling this option however, SQL_DECIMAL is an exact numeric data type while SQL_REAL and SQL_DOUBLE are approximate numeric data types. A SQL_DECIMAL with a precision of 8 or less will be described as SQL_REAL, with a precision  greater than 8 it is SQL_DOUBLE.


Do Not Use Lvarchar

If enabled, the driver:  Causes SQLGetTypeInfo to not report Lvarchar as a supported type of DATA_TYPE of SQL_VARCHAR. Some application such as MS Access97 will use Lvarchar instead of Varchar even for columns that are less than 256 bytes long. The minimum # of bytes transmitted for Lvarchar is higher than for Varchar and a large number of Lvarchar columns can result in the rowset size exceeding the maximum, if this happens you will get error -499.  Enable this option only if your SQL_VARCHAR columns are less than 256 bytes in length.  The option default is: DISABLED(0).


Report Char columns as Wide Char columns

If enabled, the driver:  Causes SQLDescribeCol to report char columns as wide char columns.  SQL_CHAR column is reported as SQL_WCHAR, SQL_VARCHAR as SQL_WVARCHAR and SQL_LONGVARCHAR column as SQL_WLONGVARCHAR.  Some applications such as ADO provide UNICODE support only if SQLDescribeCol reports wide char columns.  The option default is: DISABLED(0).